Subject: Re: Advertising the Git User's Survey 2010 - report

From: Jakub Narebski <[email-masked]>
Date: Thu, 30 Sep 2010 12:51:37 +0200

On Wed, 22 Sep 2010, Jakub Narębski wrote:
> On Wed, 22 Sep 2010, Ævar Arnfjörð Bjarmason wrote:
> > On Mon, Sep 20, 2010 at 13:38, Jakub Narebski <[email-masked]> wrote:
> > 
> > > Currenly the survey has more than 5000 responses (in a not whole month)
> 
> 6217 responses in 22 days now, see 
>   https://www.survs.com/results/33Q0OZZE/MV653KSPI2

[...]
> > This may have to do with advertising however. Have you contacted sites
> > like GitHub, Gitorious etc. asking them to advertise it? Is there
> > maybe a list of people that have been contacted somewhere?
> > 
> > I bet if we could get e.g. GitHub to advertise it in their regular
> > news distribution system we could raise that number of 5000
> > respondents significantly.
> 
> It is announced both on GitHub Blog and in GitHub announcements, see
>   http://github.com/blog/717-git-user-survey-2010
>   http://img.skitch.com/20100914-q4wuyf6i8f2yt9ef2tnxaifc1a.png
> 
> Besides that, it is announced on Git Wiki, on Git Homepage, and also on
> repo.or.cz, git.kernel.org, GitHub, Gitorious, InDefero, Codaset,
> Codebase, Unfuddle, Savannah, SourceForge and Beanstalk.  It would be
> (or is) announced on Bettercodes.org.  I have send request for 
> announcement also to Codesion, Assembla, The Chaw, ProjectLocker,
> CipherHive and GitFarm, but I didn't get any response yet (I might
> not found and used correct contact information).
> 
> I am still sending announcements to other git hosting sites...

The Git User's Survey 2010 was announced on the following channels:

1. Mailing lists:
   * git mailing list
   * LKML (linux kernel mailing list), as the Linux kernel development
     was the inspiration for creating Git, and it is major project using
     Git as version control system
   * Ævar forwarded announcement to perl5-porters mailing list
   * I have also send announcement to (developers') mailing list for
     various projects using Git.  Many of them are subscribe-only and
     are awaiting moderation, some  outright refused non-subscribe
     contributions.  If you plan announcing Git User's Survey 2010
     in such channel, plese check if it wasn't already sent.

2. Google Groups:
   * "Git for Human Beings" and msysGit Google Groups cover git-related
     mailing list channel
   * I have also send announcements to GitHub and Gitorious Google Groups.

3. The Git User's Survey 2010 is announced on Git homepage, on Git Wiki,
   and in the #git IRC channel topic (channel description)

4. Blogs (not counting blogs for Git hosting sites)
   * gitster's journal (blog of Junio C Hamano)
     http://gitster.livejournal.com/47343.html
   * git blog - A git blog looking to be official
     http://gitlog.wordpress.com/2010/09/01/git-user%E2%80%99s-survey-2010/
   * and probably other blogs (many thanks to bloggers who posted 
     announcements about Git User's Survey 2010)
   - I asked to have it announced on Perlbuzz, and therefore on Perl blog
     planets, and on Newren's blog, and therefore on GNOME planets, but
     without results

5. Social news sites:
   * Hacker News (posted by Ævar)
     http://news.ycombinator.com/item?id=1652126
   * Reddit programming (posted by Ævar)
     http://www.reddit.com/r/programming/comments/d835u/git_users_survey_2010/

6. Git hosting sites and software hosting sites with Git support
   * Those that replied to my request for announcing the survey,
     in alphabetical order
     - A2 Hosting
     - Beanstalk
     - BerliOS
     - Bettercodes
     - CodaSet
     - Codebase
     - GitHub
     - Gitorious
     - InDefero
     - git.kernel.org
     - repo.or.cz
     - Savannah
     - SourceForge
     - SourceRepo
     - Unfuddle
     - XP-Dev
   * Those that didn't reply, and I don't think they posted announcement,
     in alphabetical order
     - Assembla
     - The Chaw (posted on its Google Group, though)
     - CipherHive
     - Codesion
     - GitFarm
     - ProjectLocker
     - repositoryhosting.com
     - SSH Control
     - Tux Family
   * Those that I didn't know how to contact,
     in alphabetical order
     - Alioth / git.debian.org
     - debian-hosted
     - Fedora Hosted
     - Project Kenai (if it is still active)
     - USLA-Tracs (not in English)

   If there are Git hosting sites that are missing from the above list,
   that didn't already announced Git User's Survey 2010 somehow, and you
   know how to contact them, please try.  There are 2 weeks of survey
   yet.

7. Microblogging platforms: I announced Git User's Survey 2010 on Twitter
   and Plurk, but I don't have much of following.  Some of git hosting
   sites also announced survey via Twitter.

8. Other: I have tried to announce the survey for Debian developers.
   In previous years this announcement was relayed to debian-devel-announce
   mailing list through http://wiki.debian.org/DeveloperNews wiki page,
   e.g.:
     http://lists.debian.org/debian-devel-announce/2009/08/msg00002.html
     http://lists.debian.org/debian-devel-announce/2008/09/msg00003.html
     http://wiki.debian.org/ProjectNews/Issues/2008/11

   But unfortunately not this year.

Are there channels that should be utilized missing from the above list?
How next year Git User's Survey 2011 (if there would be one) should be
announced?

P.S. There are 7598 non-test responses to the survey now, see
     https://www.survs.com/results/33Q0OZZE/MV653KSPI2

-- 
Jakub Narebski
Poland